Bug 536927 - myproxy in epel4 can't be upgraded to epel5
Summary: myproxy in epel4 can't be upgraded to epel5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: myproxy
Version: el5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-11 19:46 UTC by Steve Traylen
Modified: 2009-12-01 18:28 UTC (History)
2 users (show)

Fixed In Version: 4.8-7.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 18:28:19 UTC
Type: ---


Attachments (Terms of Use)

Description Steve Traylen 2009-11-11 19:46:16 UTC
Current releases:
EPEL4: myproxy-4.8-5.el4
EPEL5: myproxy-4.8-4.el5

so the EPEL 4 one is newer than the EPEL5 which I now realize 
is wrong according to these guidelines:

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Minor_release_bumps_for_old_branches

and the EPEL4 one  should never be newer that EPEL5.

The easiest way out of this is to upgrade EPEL5 to the upstream 4.9
which is small change.

Changes in this release:
- fix support for "check_multiple_credentials true" in
  myproxy-server.config, disabled since v4.4
  (http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6878);
  changes include:
  - limit check_multiple_credentials functionality to GET requests
    (myproxy-logon) only
  - in authorization failures, give underlying error message rather
    than check_multiple_credentials unique error message
  - add myproxy-test cases for check_multiple_credentials and
    myproxy-admin-query

Comment 1 Steve Traylen 2009-11-11 20:42:56 UTC
On second thoughts a rebuild of epel5 version to

myproxy-4.8-5.el5

will achieve  the same result.

Comment 2 Fedora Update System 2009-11-11 21:06:00 UTC
myproxy-4.8-6.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/myproxy-4.8-6.el5

Comment 3 Fedora Update System 2009-11-13 19:31:51 UTC
myproxy-4.8-6.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update myproxy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0844

Comment 4 Fedora Update System 2009-11-13 22:09:53 UTC
myproxy-4.8-7.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/myproxy-4.8-7.el5

Comment 5 Fedora Update System 2009-11-18 20:19:45 UTC
myproxy-4.8-7.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update myproxy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0854

Comment 6 Fedora Update System 2009-12-01 18:28:10 UTC
myproxy-4.8-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.